<div class="card mt-7">
    <mat-card>
        <mat-card-title>Twoje poprzednie zgłoszenia</mat-card-title>
        <mat-card-subtitle>Poniżej wyświetlone są zgłoszenia, jakie od Ciebie odtrzymaliśmy</mat-card-subtitle>
    </mat-card>


    <mat-card *ngIf="isListContainingNotification()">
        <mat-table [dataSource]="notificationDataSource">
            <ng-container matColumnDef="id">
                <mat-header-cell *matHeaderCellDef>ID Zgłoszenia</mat-header-cell>
                <mat-cell *matCellDef="let notification"> {{notification.id}}</mat-cell>
            </ng-container>
            <ng-container matColumnDef="desc">
                <mat-header-cell *matHeaderCellDef>Opis</mat-header-cell>
                <mat-cell *matCellDef="let notification"> {{notification.description}}</mat-cell>
            </ng-container>
            <ng-container matColumnDef="incidentType">
                <mat-header-cell *matHeaderCellDef>Typ zgłoszenia</mat-header-cell>
                <mat-cell *matCellDef="let notification"> {{notification.incidentType.name}}</mat-cell>
            </ng-container>
            <ng-container matColumnDef="incidentTypeDesc">
                <mat-header-cell *matHeaderCellDef>Opis typu zgłoszenia</mat-header-cell>
                <mat-cell *matCellDef="let notification"> {{notification.incidentType.description}}</mat-cell>
            </ng-container>
            <mat-header-row *matHeaderRowDef="nameColumn"></mat-header-row>
            <mat-row *matRowDef="let row; columns: nameColumn;"></mat-row>
        </mat-table>
    </mat-card>
    <mat-card *ngIf="!isListContainingNotification()">
        Jeszcze nic nie zgłosiłeś
    </mat-card>
</div>
